<?php
/**
 * ClassMst Entity
 * $Id: ClassMst.inc,v 1.1 2020/2/13 11:17:48 Exp $
 * @author lixq
 * @package jp.compass.entity
 * @access public
 */
class ClassMst extends CompassDynamicData
{
	var $school_id;
	var $school_no;
	var $class_no;
	var $original_source;
	var $grade_id;
	var $title;
	var $member_count;
	var $delete_flg;

	/**
	 * 构造实现。class_mst创建实例。
	 * 
	 * @access public
	 * @param mixed class_mst
	 */
	function constructor($record)
	{
		parent::constructor($record);

		$this->school_id       = $record["school_id"];
		$this->school_no       = $record["school_no"];
		$this->class_no        = $record["class_no"];
		$this->original_source = $record["original_source"];
		$this->grade_id        = $record["grade_id"];
		$this->title           = $record["title"];
		$this->member_count    = $record["member_count"];
		$this->delete_flg      = $record["delete_flg"];
	}

	/**
	 * 根据条件,获取数据列表。
	 * 条件与DBManager的doSelect相同。
	 * @access public
	 * @static
	 * @param array 检索条件
	 * @return array Entity的队列
	 */
	public static function getList($w_param = null, $orderkey = null, $direction = "ASC", $offset = null, $limit = null)
	{
		if ($w_param == null) {
			$w_param = array();
			$w_param["delete_flg"] = "false";
		}

		return CompassDBHandler::getList("ClassMst", "class_mst", $w_param, $orderkey, $direction, $offset, $limit);
	}

	/**
	 * 根据条件，获取数据列表的件数。
	 * 条件与DBManager的doSelect相同。
	 * @access public
	 * @static
	 * @param array 检索条件
	 * @return array Entity的队列
	 */
	public static function getListCount($w_param = null)
	{
		if ($w_param == null) {
			$w_param = array();
			$w_param["delete_flg"] = "false";
		}
		$db = CompassDBManager::getInstance();
		$result = $db->doSelect("class_mst", $w_param, null, null, null, null, "count(*) as count");

		return $result[0]["count"];
	}

	/**
	 * 获得此类指定ID的实例。
	 */
	public static function getById($id)
	{
		// delete_flg
		$param = array();
		$param["delete_flg"] = false;

		return CompassDBHandler::getById("ClassMst", "class_mst", $id, $param);
	}

	// -- 这里开始Dynamic ---
	/**
	 * 将此实例写入DB。
	 * DynamicData共用的保存方法。
	 * @access public
	 * @return int 写入实例的ID
	 */
	public function save()
	{
		$v_param = array();

		ParamUtil::copyObj2Array($v_param, $this, "school_id");
		ParamUtil::copyObj2Array($v_param, $this, "school_no");
		ParamUtil::copyObj2Array($v_param, $this, "class_no");
		ParamUtil::copyObj2Array($v_param, $this, "original_source");
		ParamUtil::copyObj2Array($v_param, $this, "grade_id");
		ParamUtil::copyObj2Array($v_param, $this, "title");
		ParamUtil::copyObj2Array($v_param, $this, "member_count");
		ParamUtil::copyObj2Array($v_param, $this, "delete_flg");

		// 保存
		parent::_save("class_mst", $v_param);
	}
}